Package: org.gradle.api.artifacts

## [Java] Interface DependencyResolutionListener

- A `DependencyResolutionListener` is notified as dependencies are resolved.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `afterResolve(ResolvableDependencies dependencies)` This method is called immediately after a set of dependencies are resolved.
    `void` | `beforeResolve(ResolvableDependencies dependencies)` This method is called immediately before a set of dependencies are resolved.

- - ### Method Detail

    - #### public void afterResolve(ResolvableDependencies dependencies)

      This method is called immediately after a set of dependencies are resolved.

      Parameters:
        `dependencies` - The set of dependencies resolved.

    - #### public void beforeResolve(ResolvableDependencies dependencies)

      This method is called immediately before a set of dependencies are resolved.

      Parameters:
        `dependencies` - The set of dependencies to be resolved.